Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>
implements JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addAllMapEntry(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> values)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addAllTimerInstanceId(Iterable<? extends Long> values)` `repeated int64 timer_instance_id = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addMapEntry(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder` | `addMapEntryBuilder()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder` | `addMapEntryBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `addTimerInstanceId(long value)` `repeated int64 timer_instance_id = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `build()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `buildPartial()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clear()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearMapEntry()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearRuleFlowGroup()` `optional string rule_flow_group = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clearTimerInstanceId()` `repeated int64 timer_instance_id = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `clone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` | `getMapEntry(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder` | `getMapEntryBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder>` | `getMapEntryBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`int` | `getMapEntryCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry>` | `getMapEntryList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder` | `getMapEntryOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder>` | `getMapEntryOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`String` | `getRuleFlowGroup()` `optional string rule_flow_group = 3;`
`com.google.protobuf.ByteString` | `getRuleFlowGroupBytes()` `optional string rule_flow_group = 3;`
`long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 1;`
`int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 1;`
`List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 1;`
`boolean` | `hasRuleFlowGroup()` `optional string rule_flow_group = 3;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `removeMapEntry(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setMapEntry(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setMapEntry(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setRuleFlowGroup(String value)` `optional string rule_flow_group = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setRuleFlowGroupBytes(com.google.protobuf.ByteString value)` `optional string rule_flow_group = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `setTimerInstanceId(int index, long value)` `repeated int64 timer_instance_id = 1;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

### clear

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

### clone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                   throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder>`
  Throws:
    `IOException`

### getTimerInstanceIdList

    public List<Long> getTimerInstanceIdList()

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getTimerInstanceIdCount

    public int getTimerInstanceIdCount()

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getTimerInstanceId

    public long getTimerInstanceId(int index)

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### setTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setTimerInstanceId(int index,
                                                                                                   long value)

  `repeated int64 timer_instance_id = 1;`

### addTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addTimerInstanceId(long value)

  `repeated int64 timer_instance_id = 1;`

### addAllTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addAllTimerInstanceId(Iterable<? extends Long> values)

  `repeated int64 timer_instance_id = 1;`

### clearTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearTimerInstanceId()

  `repeated int64 timer_instance_id = 1;`

### getMapEntryList

    public List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> getMapEntryList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntryCount

    public int getMapEntryCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry getMapEntry(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntry` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### setMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setMapEntry(int index,
                                                                                            JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### setMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setMapEntry(int index,
                                                                                            JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### addMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### addMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry(int index,
                                                                                            JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### addMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### addMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addMapEntry(int index,
                                                                                            JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### addAllMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder addAllMapEntry(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> values)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### clearMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearMapEntry()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### removeMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder removeMapEntry(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### getMapEntryBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder getMapEntryBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### getMapEntryOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder getMapEntryOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntryOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder> getMapEntryOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### addMapEntryBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder addMapEntryBuilder()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### addMapEntryBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder addMapEntryBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### getMapEntryBuilderList

    public List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder> getMapEntryBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

### hasRuleFlowGroup

    public boolean hasRuleFlowGroup()

  `optional string rule_flow_group = 3;`

  Specified by:
    `hasRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getRuleFlowGroup

    public String getRuleFlowGroup()

  `optional string rule_flow_group = 3;`

  Specified by:
    `getRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getRuleFlowGroupBytes

    public com.google.protobuf.ByteString getRuleFlowGroupBytes()

  `optional string rule_flow_group = 3;`

  Specified by:
    `getRuleFlowGroupBytes` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### setRuleFlowGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setRuleFlowGroup(String value)

  `optional string rule_flow_group = 3;`

### clearRuleFlowGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder clearRuleFlowGroup()

  `optional string rule_flow_group = 3;`

### setRuleFlowGroupBytes

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder setRuleFlowGroupBytes(com.google.protobuf.ByteString value)

  `optional string rule_flow_group = 3;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.